package com.mortals.xhx.annotation;

import java.lang.annotation.*;

/**
 *
 * @author: zxfei
 * @date: 2024/5/15 16:09
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE, ElementType.METHOD})
@Documented
public @interface DataPermission {
    /**
     * 数据权限类型
     * 1 上下级授权  2 数据范围授权
     */
    String permissionType() default "2";

    /**
     * 配置菜单的组件路径,用于数据权限
     */
    String componentRoute() default "";
}
